2014-06-07 05:11:38 +00:00
|
|
|
From d2b5184bf73bbce848fb3aca10ac7e33f6b65a27 Mon Sep 17 00:00:00 2001
|
2014-05-15 14:13:49 +00:00
|
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
|
|
Date: Tue, 13 May 2014 11:01:29 +0200
|
2014-06-07 05:11:38 +00:00
|
|
|
Subject: [PATCH] 95fcoe: update fcoe interface check
|
2014-05-15 14:13:49 +00:00
|
|
|
|
|
|
|
The 'create' sysfs entry has been removed for newer fcoe modules,
|
|
|
|
so just check if the module directory exists.
|
|
|
|
|
|
|
|
References: bnc#877288
|
|
|
|
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
|
|
---
|
|
|
|
modules.d/95fcoe/parse-fcoe.sh | 5 +----
|
|
|
|
1 file changed, 1 insertion(+), 4 deletions(-)
|
|
|
|
|
|
|
|
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
|
|
|
|
index dc40c82..8e08303 100755
|
|
|
|
--- a/modules.d/95fcoe/parse-fcoe.sh
|
|
|
|
+++ b/modules.d/95fcoe/parse-fcoe.sh
|
|
|
|
@@ -22,14 +22,11 @@
|
|
|
|
|
|
|
|
|
|
|
|
# BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
|
|
|
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
|
+[ -d /sys/module/fcoe ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
|
|
|
|
|
modprobe bnx2fc >/dev/null 2>&1
|
|
|
|
udevadm settle --timeout=30
|
|
|
|
|
|
|
|
-# FCoE actually supported?
|
|
|
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
|
-
|
|
|
|
parse_fcoe_opts() {
|
|
|
|
local IFS=:
|
|
|
|
set $fcoe
|
|
|
|
--
|
2014-06-07 05:11:38 +00:00
|
|
|
1.8.4.5
|
2014-05-15 14:13:49 +00:00
|
|
|
|